Rotate IPs
curl --request PUT \
--url https://toolip.io/api/v1/rotateIP \
--header 'Content-Type: <content-type>' \
--header 'authorization: <api-key>' \
--data '
{
"zoneId": "<string>",
"country": "<string>",
"ips": [
"<string>"
]
}
'import requests
url = "https://toolip.io/api/v1/rotateIP"
payload = {
"zoneId": "<string>",
"country": "<string>",
"ips": ["<string>"]
}
headers = {
"Content-Type": "<content-type>",
"authorization": "<api-key>"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {'Content-Type': '<content-type>', authorization: '<api-key>'},
body: JSON.stringify({zoneId: '<string>', country: '<string>', ips: ['<string>']})
};
fetch('https://toolip.io/api/v1/rotateIP', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"ips": [
"<string>"
]
}Rotate IPs
Refresh IPs for specific proxies.
PUT
/
rotateIP
Rotate IPs
Prefer an enterprise-grade guide? Learn more about Oculus Proxies Proxy API Overview.
Authorizations
Use the format: Basic <YOUR_API_TOKEN>
Headers
Query Parameters
Insert your API Token
Body
application/json
Response
200 - application/json
A JSON array with the new IPs.
Was this page helpful?
⌘I